backend:
  # name: github
  # repo: levibuzolic/miralevina.com
  name: git-gateway
  branch: master # Branch to update (optional; defaults to master)

# publish_mode: editorial_workflow
media_folder: public/images
public_folder: images

site_url: https://miralevina.com
display_url: https://miralevina.com
# display_url: https://miralevina.netlify.com

collections:
  - name: pages
    label: Pages
    files:
      - label: About
        name: about
        file: content/pages/about.md
        fields:
          - {label: Template Key, name: templateKey, widget: hidden, default: About}
          - {label: Title, name: title, widget: string}
          - {name: position, label: Position, widget: number, default: 9999, valueType: int}
          - {label: Body, name: body, widget: markdown}
          - {label: Photo, name: photo, widget: image}
      - label: Contact
        name: contact
        file: content/pages/contact.md
        fields:
          - {label: Template Key, name: templateKey, widget: hidden, default: Contact}
          - {label: Title, name: title, widget: string}
          - {name: position, label: Position, widget: number, default: 9999, valueType: int}
          - {label: Body, name: body, widget: markdown}
      - label: Pricing
        name: pricing
        file: content/pages/pricing.md
        fields:
          - {label: Template Key, name: templateKey, widget: hidden, default: Pricing}
          - {label: Title, name: title, widget: string}
          - {name: position, label: Position, widget: number, default: 9999, valueType: int}
          - {label: Body, name: body, widget: markdown}
          - label: Packages
            name: packages
            widget: list
            fields:
              - {label: Name, name: name, widget: string}
              - {label: Price, name: price, widget: string}
              - {label: Body, name: body, widget: markdown}
              - {label: Photo, name: photo, widget: image}

  - name: albums
    label: Albums
    folder: content/albums
    extension: json
    create: true
    slug: "{{slug}}"
    fields:
      - {name: title, label: Title, widget: string}
      - {name: visible, label: Visible, widget: boolean, default: true}
      - {name: keywords, label: Keywords, widget: string, required: false}
      - {name: position, label: Position, widget: number, default: 9999, valueType: int}
      - {name: photos, label: Photos, widget: gallery}

  - name: settings
    label: Settings
    delete: false
    editor:
      preview: false
    files:
      - label: General
        name: general
        file: content/settings.json
        fields:
          - {label: Site Title, name: title, widget: string}
          - {label: Author, name: author, widget: string}
          - {label: Keywords, name: keywords, widget: string}
          - {label: Description, name: description, widget: string}
          - {label: Google Analytics Tracking Code, name: googleAnalytics, widget: string, default: UA-XXXXXX-XX}
          - label: Open Graph
            name: opengraph
            widget: list
            fields:
              - {label: Property, name: property, widget: string}
              - {label: Content, name: content, widget: string}

          - label: Social Links
            name: socialLinks
            widget: list
            fields:
              - {label: Name, name: name, widget: string}
              - {label: URL, name: url, widget: string}
